aboutsummaryrefslogtreecommitdiffstats
path: root/sdc-os-chef/scripts
diff options
context:
space:
mode:
authorMichael Lando <ml636r@att.com>2018-03-04 14:53:33 +0200
committerMichael Lando <ml636r@att.com>2018-03-07 13:19:05 +0000
commita5445100050e49e83f73424198d73cd72d672a4d (patch)
treecacf4df817df31be23e4e790d1dda857bdae061e /sdc-os-chef/scripts
parent51157f92c21976cba4914c378aaa3cba49826931 (diff)
Sync Integ to Master
Change-Id: I71e3acc26fa612127756ac04073a522b9cc6cd74 Issue-ID: SDC-977 Signed-off-by: Gitelman, Tal (tg851x) <tg851x@intl.att.com>
Diffstat (limited to 'sdc-os-chef/scripts')
-rwxr-xr-xsdc-os-chef/scripts/docker_run.sh34
-rw-r--r--sdc-os-chef/scripts/docker_run_csit.sh386
-rw-r--r--sdc-os-chef/scripts/sanity_run.sh220
3 files changed, 543 insertions, 97 deletions
diff --git a/sdc-os-chef/scripts/docker_run.sh b/sdc-os-chef/scripts/docker_run.sh
index f7f1ad5632..61a2434819 100755
--- a/sdc-os-chef/scripts/docker_run.sh
+++ b/sdc-os-chef/scripts/docker_run.sh
@@ -17,7 +17,7 @@ function cleanup {
echo "performing old dockers cleanup"
if [ "$1" == "all" ] ; then
- docker_ids=`docker ps -a | egrep -v "openecomp/sdc-simulator" | egrep "ecomp-nexus:${PORT}/sdc|sdc|Exit" | awk '{print $1}'`
+ docker_ids=`docker ps -a | egrep -v "onap/sdc-simulator" | egrep "ecomp-nexus:${PORT}/sdc|sdc|Exit" | awk '{print $1}'`
for X in ${docker_ids}
do
docker rm -f ${X}
@@ -106,6 +106,7 @@ if [ -n "$MATCH" ]; then
match_result=true
fi
}
+
function monitor_docker {
echo monitor $1 Docker
@@ -229,10 +230,9 @@ fi
echo ""
-
+#Elastic-Search
function sdc-es {
-
-# Elastic-Search
+dir_perms
echo "docker run sdc-elasticsearch..."
if [ ${LOCAL} = false ]; then
echo "pulling code"
@@ -244,8 +244,10 @@ echo "please wait while ES is starting..."
monitor_docker sdc-es
}
+
+#Init-Elastic-Search
function sdc-init-es {
-# Init-Elastic-Search
+dir_perms
echo "docker run sdc-init-elasticsearch..."
if [ ${LOCAL} = false ]; then
echo "pulling code"
@@ -258,8 +260,9 @@ if [[ $rc != 0 ]]; then exit $rc; fi
}
+#Cassandra
function sdc-cs {
-# Cassandra
+dir_perms
echo "docker run sdc-cassandra..."
if [ ${LOCAL} = false ]; then
docker pull ${PREFIX}/sdc-cassandra:${RELEASE}
@@ -271,8 +274,8 @@ echo "please wait while CS is starting..."
monitor_docker sdc-cs
}
+#Cassandra-init
function sdc-cs-init {
-# cassandra-init
echo "docker run sdc-cassandra-init..."
if [ ${LOCAL} = false ]; then
docker pull ${PREFIX}/sdc-cassandra-init:${RELEASE}
@@ -283,21 +286,19 @@ docker_logs sdc-cs-init
if [[ $rc != 0 ]]; then exit $rc; fi
}
+#Kibana
function sdc-kbn {
-# kibana
+dir_perms
echo "docker run sdc-kibana..."
if [ ${LOCAL} = false ]; then
docker pull ${PREFIX}/sdc-kibana:${RELEASE}
docker run --detach --name sdc-kbn --env ENVNAME="${DEP_ENV}" --log-driver=json-file --log-opt max-size=100m --log-opt max-file=10 --ulimit memlock=-1:-1 --ulimit nofile=4096:100000 --volume /etc/localtime:/etc/localtime:ro --volume ${WORKSPACE}/data/environments:/root/chef-solo/environments --publish 5601:5601 ${PREFIX}/sdc-kibana:${RELEASE}
fi
-
}
-
+#Back-End
function sdc-BE {
-
dir_perms
-# Back-End
echo "docker run sdc-backend..."
if [ ${LOCAL} = false ]; then
docker pull ${PREFIX}/sdc-backend:${RELEASE}
@@ -310,10 +311,9 @@ echo "please wait while BE is starting..."
monitor_docker sdc-BE
}
+# Back-End-Init
function sdc-BE-init {
-
dir_perms
-# Back-End-Init
echo "docker run sdc-backend-init..."
if [ ${LOCAL} = false ]; then
docker pull ${PREFIX}/sdc-backend-init:${RELEASE}
@@ -324,9 +324,10 @@ docker_logs sdc-BE-init
if [[ $rc != 0 ]]; then exit $rc; fi
}
+
+# Front-End
function sdc-FE {
dir_perms
-# Front-End
echo "docker run sdc-frontend..."
if [ ${LOCAL} = false ]; then
docker pull ${PREFIX}/sdc-frontend:${RELEASE}
@@ -338,9 +339,8 @@ monitor_docker sdc-FE
}
-
-function sdc-sanity {
# sanityDocker
+function sdc-sanity {
if [[ (${RUNTESTS} = true) && (${healthCheck_http_code} == 200) ]]; then
echo "docker run sdc-sanity..."
echo "Triger sanity docker, please wait..."
diff --git a/sdc-os-chef/scripts/docker_run_csit.sh b/sdc-os-chef/scripts/docker_run_csit.sh
new file mode 100644
index 0000000000..2981afa49d
--- /dev/null
+++ b/sdc-os-chef/scripts/docker_run_csit.sh
@@ -0,0 +1,386 @@
+#!/bin/bash
+
+CS_PASSWORD="onap123#@!"
+SDC_USER="asdc_user"
+SDC_PASSWORD="Aa1234%^!"
+JETTY_BASE="/var/lib/jetty"
+BE_JAVA_OPTIONS="-Xdebug -agentlib:jdwp=transport=dt_socket,address=4000,server=y,suspend=n -Xmx2g -Xms2g"
+FE_JAVA_OPTIONS="-Xdebug -agentlib:jdwp=transport=dt_socket,address=6000,server=y,suspend=n -Xmx512m -Xms512m"
+
+
+function usage {
+ echo "usage: docker_run.sh [ -r|--release <RELEASE-NAME> ] [ -e|--environment <ENV-NAME> ] [ -p|--port <Docker-hub-port>] [ -l|--local <Run-without-pull>] [ -t|--runTests <Run-with-sanityDocker>] [ -h|--help ]"
+}
+
+
+function cleanup {
+ echo "performing old dockers cleanup"
+
+ if [ "$1" == "all" ] ; then
+ docker_ids=`docker ps -a | egrep -v "openecomp/sdc-simulator" | egrep "ecomp-nexus:${PORT}/sdc|sdc|Exit" | awk '{print $1}'`
+ for X in ${docker_ids}
+ do
+ docker rm -f ${X}
+ done
+ else
+ echo "performing $1 docker cleanup"
+ tmp=`docker ps -a -q --filter="name=$1"`
+ if [[ ! -z "$tmp" ]]; then
+ docker rm -f ${tmp}
+ fi
+ fi
+}
+
+
+function dir_perms {
+ mkdir -p ${WORKSPACE}/data/logs/BE/SDC/SDC-BE
+ mkdir -p ${WORKSPACE}/data/logs/FE/SDC/SDC-FE
+ chmod -R 777 ${WORKSPACE}/data/logs
+}
+function probe_cs {
+
+cs_stat=false
+docker exec -it $1 /var/lib/ready-probe.sh > /dev/null 2>&1
+rc=$?
+if [[ $rc == 0 ]]; then
+ echo DOCKER start finished in $2 seconds
+ cs_stat=true
+fi
+
+}
+
+function probe_be {
+
+be_stat=false
+docker exec -it $1 /var/lib/ready-probe.sh > /dev/null 2>&1
+rc=$?
+if [[ $rc == 200 ]]; then
+ echo DOCKER start finished in $2 seconds
+ be_stat=true
+fi
+
+}
+
+function probe_fe {
+
+fe_stat=false
+docker exec -it $1 /var/lib/ready-probe.sh > /dev/null 2>&1
+rc=$?
+if [[ $rc == 200 ]]; then
+ echo DOCKER start finished in $2 seconds
+ fe_stat=true
+fi
+
+}
+
+function probe_es {
+
+es_stat=false
+health_Check_http_code=$(curl -o /dev/null -w '%{http_code}' http://${IP}:9200/_cluster/health?wait_for_status=yellow&timeout=120s)
+if [[ "$health_Check_http_code" -eq 200 ]]
+ then
+ echo DOCKER start finished in $2 seconds
+ es_stat=true
+ fi
+
+}
+
+function probe_docker {
+
+match_result=false
+MATCH=`docker logs --tail 30 $1 | grep "DOCKER STARTED"`
+echo MATCH is -- $MATCH
+
+if [ -n "$MATCH" ]; then
+ echo DOCKER start finished in $2 seconds
+ match_result=true
+fi
+}
+function monitor_docker {
+
+ echo monitor $1 Docker
+ sleep 5
+ TIME_OUT=900
+ INTERVAL=20
+ TIME=0
+ while [ "$TIME" -lt "$TIME_OUT" ]; do
+ if [ "$1" == "sdc-cs" ]; then
+ probe_cs $1 $TIME
+ if [[ $cs_stat == true ]]; then break; fi
+ elif [ "$1" == "sdc-es" ]; then
+ probe_es $1 $TIME
+ if [[ $es_stat == true ]]; then break; fi
+ elif [ "$1" == "sdc-BE" ]; then
+ probe_be $1 $TIME
+ if [[ $be_stat == true ]]; then break; fi
+ elif [ "$1" == "sdc-FE" ]; then
+ probe_fe $1 $TIME
+ if [[ $fe_stat == true ]]; then break; fi
+ else
+ probe_docker $1 $TIME
+ if [[ $match_result == true ]]; then break; fi
+ fi
+ echo Sleep: $INTERVAL seconds before testing if $1 DOCKER is up. Total wait time up now is: $TIME seconds. Timeout is: $TIME_OUT seconds
+ sleep $INTERVAL
+ TIME=$(($TIME+$INTERVAL))
+ done
+
+ if [ "$TIME" -ge "$TIME_OUT" ]; then
+ echo -e "\e[1;31mTIME OUT: DOCKER was NOT fully started in $TIME_OUT seconds... Could cause problems ...\e[0m"
+ fi
+
+}
+
+function healthCheck {
+ curl ${IP}:9200/_cluster/health?pretty=true
+
+ echo "BE health-Check:"
+ curl http://${IP}:8080/sdc2/rest/healthCheck
+
+ echo ""
+ echo ""
+ echo "FE health-Check:"
+ curl http://${IP}:8181/sdc1/rest/healthCheck
+
+
+ echo ""
+ echo ""
+ healthCheck_http_code=$(curl -o /dev/null -w '%{http_code}' -H "Accept: application/json" -H "Content-Type: application/json" -H "USER_ID: jh0003" http://${IP}:8080/sdc2/rest/v1/user/demo;)
+ if [[ ${healthCheck_http_code} != 200 ]]
+ then
+ echo "Error [${healthCheck_http_code}] while user existance check"
+ return ${healthCheck_http_code}
+ fi
+ echo "check user existance: OK"
+ return ${healthCheck_http_code}
+}
+
+function elasticHealthCheck {
+ echo "Elastic Health-Check:"
+
+ COUNTER=0
+ while [ $COUNTER -lt 20 ]; do
+ echo "Waiting ES docker to start"
+ health_Check_http_code=$(curl -o /dev/null -w '%{http_code}' http://localhost:9200/_cluster/health?wait_for_status=yellow&timeout=120s)
+ if [[ "$health_Check_http_code" -eq 200 ]]
+ then
+ break
+ fi
+ let COUNTER=COUNTER+1
+ sleep 4
+ done
+
+ healthCheck_http_code=$(curl -o /dev/null -w '%{http_code}' http://localhost:9200/_cluster/health?wait_for_status=yellow&timeout=120s)
+ if [[ "$health_Check_http_code" != 200 ]]
+ then
+ echo "Error [${healthCheck_http_code}] ES NOT started correctly"
+ exit ${healthCheck_http_code}
+ fi
+ echo "ES started correctly"
+ curl ${IP}:9200/_cluster/health?pretty=true
+ return ${healthCheck_http_code}
+}
+
+RELEASE=latest
+LOCAL=false
+RUNTESTS=false
+DEBUG_PORT="--publish 4000:4000"
+
+while [ $# -gt 0 ]; do
+ case $1 in
+ # -r | --release - The specific docker version to pull and deploy
+ -r | --release )
+ shift 1 ;
+ RELEASE=$1;
+ shift 1;;
+ # -e | --environment - The environment name you want to deploy
+ -e | --environment )
+ shift 1;
+ DEP_ENV=$1;
+ shift 1 ;;
+ # -p | --port - The port from which to connect to the docker nexus
+ -p | --port )
+ shift 1 ;
+ PORT=$1;
+ shift 1 ;;
+ # -l | --local - Use this for deploying your local dockers without pulling them first
+ -l | --local )
+ LOCAL=true;
+ shift 1;;
+ # -t | --runTests - Use this for running the sanity tests docker after all other dockers have been deployed
+ -t | --runTests )
+ RUNTESTS=true;
+ shift 1 ;;
+ # -d | --docker - The init specified docker
+ -d | --docker )
+ shift 1 ;
+ DOCKER=$1;
+ shift 1 ;;
+ # -h | --help - Display the help message with all the available run options
+ -h | --help )
+ usage;
+ exit 0;;
+ * )
+ usage;
+ exit 1;;
+ esac
+done
+
+
+[ -f /opt/config/env_name.txt ] && DEP_ENV=$(cat /opt/config/env_name.txt) || echo ${DEP_ENV}
+[ -f /opt/config/nexus_username.txt ] && NEXUS_USERNAME=$(cat /opt/config/nexus_username.txt) || NEXUS_USERNAME=release
+[ -f /opt/config/nexus_password.txt ] && NEXUS_PASSWD=$(cat /opt/config/nexus_password.txt) || NEXUS_PASSWD=sfWU3DFVdBr7GVxB85mTYgAW
+[ -f /opt/config/nexus_docker_repo.txt ] && NEXUS_DOCKER_REPO=$(cat /opt/config/nexus_docker_repo.txt) || NEXUS_DOCKER_REPO=nexus3.onap.org:${PORT}
+[ -f /opt/config/nexus_username.txt ] && docker login -u $NEXUS_USERNAME -p $NEXUS_PASSWD $NEXUS_DOCKER_REPO
+
+export IP=`ip route get 8.8.8.8 | awk '/src/{ print $7 }'`
+export PREFIX=${NEXUS_DOCKER_REPO}'/onap'
+
+if [ ${LOCAL} = true ]; then
+ PREFIX='onap'
+fi
+
+echo ""
+
+
+
+function sdc-es {
+
+# Elastic-Search
+echo "docker run sdc-elasticsearch..."
+if [ ${LOCAL} = false ]; then
+ echo "pulling code"
+ docker pull ${PREFIX}/sdc-elasticsearch:${RELEASE}
+fi
+docker run -dit --name sdc-es --env ENVNAME="${DEP_ENV}" --log-driver=json-file --log-opt max-size=100m --log-opt max-file=10 --env ES_JAVA_OPTS="-Xms512m -Xmx512m" --ulimit memlock=-1:-1 --ulimit nofile=4096:100000 --volume /etc/localtime:/etc/localtime:ro --env ES_HEAP_SIZE=1024M --volume ${WORKSPACE}/data/ES:/usr/share/elasticsearch/data --volume ${WORKSPACE}/data/environments:/root/chef-solo/environments --publish 9200:9200 --publish 9300:9300 ${PREFIX}/sdc-elasticsearch:${RELEASE} /bin/sh
+
+echo "please wait while ES is starting..."
+monitor_docker sdc-es
+}
+
+function sdc-init-es {
+# Init-Elastic-Search
+echo "docker run sdc-init-elasticsearch..."
+if [ ${LOCAL} = false ]; then
+ echo "pulling code"
+ docker pull ${PREFIX}/sdc-init-elasticsearch:${RELEASE}
+fi
+docker run --name sdc-init-es --env ENVNAME="${DEP_ENV}" --log-driver=json-file --log-opt max-size=100m --log-opt max-file=10 --ulimit memlock=-1:-1 --ulimit nofile=4096:100000 --volume /etc/localtime:/etc/localtime:ro --volume ${WORKSPACE}/data/environments:/root/chef-solo/environments ${PREFIX}/sdc-init-elasticsearch:${RELEASE}
+rc=$?
+if [[ $rc != 0 ]]; then exit $rc; fi
+
+}
+
+function sdc-cs {
+# Cassandra
+echo "docker run sdc-cassandra..."
+if [ ${LOCAL} = false ]; then
+ docker pull ${PREFIX}/sdc-cassandra:${RELEASE}
+fi
+docker run -dit --name sdc-cs --env RELEASE="${RELEASE}" --env CS_PASSWORD="${CS_PASSWORD}" --env ENVNAME="${DEP_ENV}" --env HOST_IP=${IP} --env MAX_HEAP_SIZE="2024M" --env HEAP_NEWSIZE="512M" --log-driver=json-file --log-opt max-size=100m --log-opt max-file=10 --ulimit memlock=-1:-1 --ulimit nofile=4096:100000 --volume /etc/localtime:/etc/localtime:ro --volume ${WORKSPACE}/data/CS:/var/lib/cassandra --volume ${WORKSPACE}/data/environments:/root/chef-solo/environments --publish 9042:9042 --publish 9160:9160 ${PREFIX}/sdc-cassandra:${RELEASE} /bin/sh
+
+
+echo "please wait while CS is starting..."
+monitor_docker sdc-cs
+}
+
+function sdc-cs-init {
+# cassandra-init
+echo "docker run sdc-cassandra-init..."
+if [ ${LOCAL} = false ]; then
+ docker pull ${PREFIX}/sdc-cassandra-init:${RELEASE}
+fi
+docker run --name sdc-cs-init --env RELEASE="${RELEASE}" --env SDC_USER="${SDC_USER}" --env SDC_PASSWORD="${SDC_PASSWORD}" --env CS_PASSWORD="${CS_PASSWORD}" --env ENVNAME="${DEP_ENV}" --env HOST_IP=${IP} --log-driver=json-file --log-opt max-size=100m --log-opt max-file=10 --ulimit memlock=-1:-1 --ulimit nofile=4096:100000 --volume /etc/localtime:/etc/localtime:ro --volume ${WORKSPACE}/data/CS:/var/lib/cassandra --volume ${WORKSPACE}/data/environments:/root/chef-solo/environments --volume ${WORKSPACE}/data/CS-Init:/root/chef-solo/cache ${PREFIX}/sdc-cassandra-init:${RELEASE}
+rc=$?
+if [[ $rc != 0 ]]; then exit $rc; fi
+}
+
+function sdc-kbn {
+# kibana
+echo "docker run sdc-kibana..."
+if [ ${LOCAL} = false ]; then
+ docker pull ${PREFIX}/sdc-kibana:${RELEASE}
+docker run --detach --name sdc-kbn --env ENVNAME="${DEP_ENV}" --log-driver=json-file --log-opt max-size=100m --log-opt max-file=10 --ulimit memlock=-1:-1 --ulimit nofile=4096:100000 --volume /etc/localtime:/etc/localtime:ro --volume ${WORKSPACE}/data/environments:/root/chef-solo/environments --publish 5601:5601 ${PREFIX}/sdc-kibana:${RELEASE}
+fi
+
+}
+
+
+function sdc-BE {
+
+dir_perms
+# Back-End
+echo "docker run sdc-backend..."
+if [ ${LOCAL} = false ]; then
+ docker pull ${PREFIX}/sdc-backend:${RELEASE}
+else
+ ADDITIONAL_ARGUMENTS=${DEBUG_PORT}
+fi
+docker run --detach --name sdc-BE --env HOST_IP=${IP} --env ENVNAME="${DEP_ENV}" --env http_proxy=${http_proxy} --env https_proxy=${https_proxy} --env no_proxy=${no_proxy} --env JAVA_OPTIONS="${BE_JAVA_OPTIONS}" --log-driver=json-file --log-opt max-size=100m --log-opt max-file=10 --ulimit memlock=-1:-1 --ulimit nofile=4096:100000 --volume /etc/localtime:/etc/localtime:ro --volume ${WORKSPACE}/data/logs/BE/:/var/lib/jetty/logs --volume ${WORKSPACE}/data/environments:/root/chef-solo/environments --publish 8443:8443 --publish 8080:8080 ${ADDITIONAL_ARGUMENTS} ${PREFIX}/sdc-backend:${RELEASE}
+
+echo "please wait while BE is starting..."
+monitor_docker sdc-BE
+}
+
+function sdc-BE-init {
+
+dir_perms
+# Back-End-Init
+echo "docker run sdc-backend-init..."
+if [ ${LOCAL} = false ]; then
+ docker pull ${PREFIX}/sdc-backend-init:${RELEASE}
+fi
+docker run --name sdc-BE-init --env HOST_IP=${IP} --env ENVNAME="${DEP_ENV}" --log-driver=json-file --log-opt max-size=100m --log-opt max-file=10 --ulimit memlock=-1:-1 --ulimit nofile=4096:100000 --volume /etc/localtime:/etc/localtime:ro --volume ${WORKSPACE}/data/logs/BE/:/var/lib/jetty/logs --volume ${WORKSPACE}/data/environments:/root/chef-solo/environments ${PREFIX}/sdc-backend-init:${RELEASE}
+rc=$?
+if [[ $rc != 0 ]]; then exit $rc; fi
+}
+
+function sdc-FE {
+dir_perms
+# Front-End
+echo "docker run sdc-frontend..."
+if [ ${LOCAL} = false ]; then
+ docker pull ${PREFIX}/sdc-frontend:${RELEASE}
+fi
+docker run --detach --name sdc-FE --env HOST_IP=${IP} --env ENVNAME="${DEP_ENV}" --env http_proxy=${http_proxy} --env https_proxy=${https_proxy} --env no_proxy=${no_proxy} --env JAVA_OPTIONS="${FE_JAVA_OPTIONS}" --log-driver=json-file --log-opt max-size=100m --log-opt max-file=10 --ulimit memlock=-1:-1 --ulimit nofile=4096:100000 --volume /etc/localtime:/etc/localtime:ro --volume ${WORKSPACE}/data/logs/FE/:/var/lib/jetty/logs --volume ${WORKSPACE}/data/environments:/root/chef-solo/environments --publish 9443:9443 --publish 8181:8181 ${PREFIX}/sdc-frontend:${RELEASE}
+
+echo "please wait while FE is starting....."
+monitor_docker sdc-FE
+}
+
+
+
+function sdc-sanity {
+# sanityDocker
+if [[ (${RUNTESTS} = true) && (${healthCheck_http_code} == 200) ]]; then
+ echo "docker run sdc-sanity..."
+ echo "Triger sanity docker, please wait..."
+
+ if [ ${LOCAL} = false ]; then
+ docker pull ${PREFIX}/sdc-sanity:${RELEASE}
+ fi
+
+docker run --detach --name sdc-sanity --env HOST_IP=${IP} --env ENVNAME="${DEP_ENV}" --env http_proxy=${http_proxy} --env https_proxy=${https_proxy} --env no_proxy=${no_proxy} --log-driver=json-file --log-opt max-size=100m --log-opt max-file=10 --ulimit memlock=-1:-1 --ulimit nofile=4096:100000 --volume /etc/localtime:/etc/localtime:ro --volume ${WORKSPACE}/data/logs/sdc-sanity/target:/var/lib/tests/target --volume ${WORKSPACE}/data/logs/sdc-sanity/ExtentReport:/var/lib/tests/ExtentReport --volume ${WORKSPACE}/data/logs/sdc-sanity/outputCsar:/var/lib/tests/outputCsar --volume ${WORKSPACE}/data/environments:/root/chef-solo/environments --publish 9560:9560 ${PREFIX}/sdc-sanity:${RELEASE}
+echo "please wait while SANITY is starting....."
+monitor_docker sdc-sanity
+
+fi
+}
+
+if [ -z "${DOCKER}" ]; then
+ cleanup all
+ sdc-es
+ sdc-init-es
+ sdc-cs
+ sdc-cs-init
+ sdc-kbn
+ sdc-BE
+ sdc-BE-init
+ sdc-FE
+else
+ cleanup ${DOCKER}
+ ${DOCKER}
+fi
+
+# healthCheck
+healthCheck
diff --git a/sdc-os-chef/scripts/sanity_run.sh b/sdc-os-chef/scripts/sanity_run.sh
index 17d1642c73..4aea3bb410 100644
--- a/sdc-os-chef/scripts/sanity_run.sh
+++ b/sdc-os-chef/scripts/sanity_run.sh
@@ -2,116 +2,176 @@
function usage {
- echo "usage: docker_run.sh [ -r|--release <RELEASE-NAME> ] [ -e|--environment <ENV-NAME> ] [ -p|--port <Docker-hub-port>] [ -l|--local <Run-without-pull>] [ -s|--skipTests <Run-without-sanityDocker>] [ -h|--help ]"
+ echo "usage: sanity_run.sh [ -r|--release <RELEASE-NAME> ] [ -e|--environment <ENV-NAME> ] [ -p|--port <Docker-hub-port>] [ -l|--local <Run-without-pull>] [ -t|--runTests <Run-with-sanityDocker>] [ -h|--help ]"
}
-
function cleanup {
- echo "performing old dockers cleanup"
- docker_ids=`docker ps -a | egrep -v "openecomp/sdc-simulator" | egrep "ecomp-nexus:${PORT}/sdc-sanity|sdc-sanity|Exit" | awk '{print $1}'`
- for X in ${docker_ids}
- do
- docker rm -f ${X}
- done
+ echo "performing old dockers cleanup"
+ docker_ids=`docker ps -a | egrep -v "onap/sdc-simulator" | egrep "ecomp-nexus:${PORT}/sdc|sdc-sanity|Exit" | awk '{print $1}'`
+ for X in ${docker_ids}
+ do
+ docker rm -f ${X}
+ done
}
function dir_perms {
- mkdir -p /data/logs/BE/SDC/SDC-BE
- mkdir -p /data/logs/FE/SDC/SDC-FE
- chmod -R 777 /data/logs
+ mkdir -p ${WORKSPACE}/data/logs/BE/SDC/SDC-BE
+ mkdir -p ${WORKSPACE}/data/logs/FE/SDC/SDC-FE
+ chmod -R 777 ${WORKSPACE}/data/logs
}
function monitor_docker {
-echo monitor $1 Docker
-sleep 5
-TIME_OUT=900
-INTERVAL=20
-TIME=0
-while [ "$TIME" -lt "$TIME_OUT" ]; do
-
-MATCH=`docker logs --tail 30 $1 | grep "DOCKER STARTED"`
-echo MATCH is -- $MATCH
-
-if [ -n "$MATCH" ]
- then
- echo DOCKER start finished in $TIME seconds
- break
- fi
-
- echo Sleep: $INTERVAL seconds before testing if $1 DOCKER is up. Total wait time up now is: $TIME seconds. Timeout is: $TIME_OUT seconds
- sleep $INTERVAL
- TIME=$(($TIME+$INTERVAL))
-done
+ echo monitor $1 Docker
+ sleep 5
+ TIME_OUT=900
+ INTERVAL=20
+ TIME=0
+ while [ "$TIME" -lt "$TIME_OUT" ]; do
-if [ "$TIME" -ge "$TIME_OUT" ]
- then
- echo -e "\e[1;31mTIME OUT: DOCKER was NOT fully started in $TIME_OUT seconds... Could cause problems ...\e[0m"
-fi
+ MATCH=`docker logs --tail 30 $1 | grep "DOCKER STARTED"`
+ echo MATCH is -- $MATCH
+
+ if [ -n "$MATCH" ]; then
+ echo DOCKER start finished in $TIME seconds
+ break
+ fi
+
+ echo Sleep: $INTERVAL seconds before testing if $1 DOCKER is up. Total wait time up now is: $TIME seconds. Timeout is: $TIME_OUT seconds
+ sleep $INTERVAL
+ TIME=$(($TIME+$INTERVAL))
+ done
+
+ if [ "$TIME" -ge "$TIME_OUT" ]; then
+ echo -e "\e[1;31mTIME OUT: DOCKER was NOT fully started in $TIME_OUT seconds... Could cause problems ...\e[0m"
+ fi
+}
+
+function healthCheck {
+ curl localhost:9200/_cluster/health?pretty=true
+
+ echo "BE health-Check:"
+ curl http://localhost:8080/sdc2/rest/healthCheck
+
+ echo ""
+ echo ""
+ echo "FE health-Check:"
+ curl http://localhost:8181/sdc1/rest/healthCheck
+
+ echo ""
+ echo ""
+ healthCheck_http_code=$(curl -o /dev/null -w '%{http_code}' -H "Accept: application/json" -H "Content-Type: application/json" -H "USER_ID: jh0003" http://localhost:8080/sdc2/rest/v1/user/demo;)
+ if [[ ${healthCheck_http_code} != 200 ]]
+ then
+ echo "Error [${healthCheck_http_code}] while user existance check"
+ return ${healthCheck_http_code}
+ fi
+ echo "check user existance: OK"
+ return ${healthCheck_http_code}
}
+function elasticHealthCheck {
+ echo "Elastic Health-Check:"
+
+ COUNTER=0
+ while [ $COUNTER -lt 20 ]; do
+ echo "Waiting ES docker to start"
+ health_Check_http_code=$(curl -o /dev/null -w '%{http_code}' http://localhost:9200/_cluster/health?wait_for_status=yellow&timeout=120s)
+ if [[ "$health_Check_http_code" -eq 200 ]]
+ then
+ break
+ fi
+ let COUNTER=COUNTER+1
+ sleep 4
+ done
+
+ healthCheck_http_code=$(curl -o /dev/null -w '%{http_code}' http://localhost:9200/_cluster/health?wait_for_status=yellow&timeout=120s)
+ if [[ "$health_Check_http_code" != 200 ]]
+ then
+ echo "Error [${healthCheck_http_code}] ES NOT started correctly"
+ exit ${healthCheck_http_code}
+ fi
+ echo "ES started correctly"
+ curl localhost:9200/_cluster/health?pretty=true
+ return ${healthCheck_http_code}
+}
RELEASE=latest
LOCAL=false
-SKIPTESTS=false
+RUNTESTS=true
DEBUG_PORT="--publish 4000:4000"
-[ -f /opt/config/env_name.txt ] && DEP_ENV=$(cat /opt/config/env_name.txt) || DEP_ENV=__ENV-NAME__
-[ -f /opt/config/nexus_username.txt ] && NEXUS_USERNAME=$(cat /opt/config/nexus_username.txt) || NEXUS_USERNAME=release
-[ -f /opt/config/nexus_password.txt ] && NEXUS_PASSWD=$(cat /opt/config/nexus_password.txt) || NEXUS_PASSWD=sfWU3DFVdBr7GVxB85mTYgAW
-[ -f /opt/config/nexus_docker_repo.txt ] && NEXUS_DOCKER_REPO=$(cat /opt/config/nexus_docker_repo.txt) || NEXUS_DOCKER_REPO=ecomp-nexus:${PORT}
-
-while [ "$1" != "" ]; do
+while [ $# -gt 0 ]; do
case $1 in
- -r | --release )
- shift
- RELEASE=${1}
- ;;
- -e | --environment )
- shift
- DEP_ENV=${1}
- ;;
- -p | --port )
- shift
- PORT=${1}
- ;;
- -l | --local )
- shift
- LOCAL=true
- ;;
- -s | --skipTests )
- shift
- SKIPTESTS=true
- ;;
- -h | --help )
- usage
- exit
- ;;
- * )
- usage
- exit 1
+ # -r | --release - The specific docker version to pull and deploy
+ -r | --release )
+ shift 1 ;
+ RELEASE=$1;
+ shift 1;;
+ # -e | --environment - The environment name you want to deploy
+ -e | --environment )
+ shift 1;
+ DEP_ENV=$1;
+ shift 1 ;;
+ # -p | --port - The port from which to connect to the docker nexus
+ -p | --port )
+ shift 1 ;
+ PORT=$1;
+ shift 1 ;;
+ # -l | --local - Use this for deploying your local dockers without pulling them first
+ -l | --local )
+ LOCAL=true;
+ shift 1;;
+ # -t | --runTests - Use this for running the sanity tests docker after all other dockers have been deployed
+ -t | --runTests )
+ RUNTESTS=true;
+ shift 1 ;;
+ # -h | --help - Display the help message with all the available run options
+ -h | --help )
+ usage;
+ exit 0;;
+ * )
+ usage;
+ exit 1;;
esac
- shift
done
+
+[ -f /opt/config/env_name.txt ] && DEP_ENV=$(cat /opt/config/env_name.txt) || DEP_ENV=__ENV-NAME__
+[ -f /opt/config/nexus_username.txt ] && NEXUS_USERNAME=$(cat /opt/config/nexus_username.txt) || NEXUS_USERNAME=release
+[ -f /opt/config/nexus_password.txt ] && NEXUS_PASSWD=$(cat /opt/config/nexus_password.txt) || NEXUS_PASSWD=sfWU3DFVdBr7GVxB85mTYgAW
+[ -f /opt/config/nexus_docker_repo.txt ] && NEXUS_DOCKER_REPO=$(cat /opt/config/nexus_docker_repo.txt) || NEXUS_DOCKER_REPO=nexus3.onap.org:${PORT}
[ -f /opt/config/nexus_username.txt ] && docker login -u $NEXUS_USERNAME -p $NEXUS_PASSWD $NEXUS_DOCKER_REPO
-export IP=`ifconfig eth0 | awk -F: '/inet addr/ {gsub(/ .*/,"",$2); print $2}'`
-export PREFIX=${NEXUS_DOCKER_REPO}'/openecomp'
+
+cleanup
+
+
+export IP=`ip route get 8.8.8.8 | awk '/src/{ print $7 }'`
+export PREFIX=${NEXUS_DOCKER_REPO}'/onap'
if [ ${LOCAL} = true ]; then
- PREFIX='openecomp'
+ PREFIX='onap'
fi
-## sanityDocker
-echo "docker run sdc-sanity..."
-if [ ${SKIPTESTS} = false ]; then
-echo "Triger sanity docker, please wait..."
+echo ""
+
+healthCheck
+
+# sanityDocker
+if [[ (${RUNTESTS} = true) && (${healthCheck_http_code} == 200) ]]; then
+ echo "docker run sdc-sanity..."
+ echo "Triger sanity docker, please wait..."
+
if [ ${LOCAL} = false ]; then
- docker pull ${PREFIX}/sdc-sanity:${RELEASE}
+ docker pull ${PREFIX}/sdc-sanity:${RELEASE}
fi
- docker run --detach --name sdc-sanity --env HOST_IP=${IP} --env ENVNAME="${DEP_ENV}" --env http_proxy=${http_proxy} --env https_proxy=${https_proxy} --env no_proxy=${no_proxy} --log-driver=json-file --log-opt max-size=100m --log-opt max-file=10 --ulimit memlock=-1:-1 --memory 1g --memory-swap=1g --ulimit nofile=4096:100000 --volume /etc/localtime:/etc/localtime:ro --volume /data/logs/sdc-sanity/target:/var/lib/tests/target --volume /data/logs/sdc-sanity/ExtentReport:/var/lib/tests/ExtentReport --volume /data/logs/sdc-sanity/outputCsar:/var/lib/tests/outputCsar --volume /data/environments:/root/chef-solo/environments --publish 9560:9560 ${PREFIX}/sdc-sanity:${RELEASE}
-fi \ No newline at end of file
+
+docker run --detach --name sdc-sanity --env HOST_IP=${IP} --env ENVNAME="${DEP_ENV}" --env http_proxy=${http_proxy} --env https_proxy=${https_proxy} --env no_proxy=${no_proxy} --log-driver=json-file --log-opt max-size=100m --log-opt max-file=10 --ulimit memlock=-1:-1 --memory 1500m --ulimit nofile=4096:100000 --volume /etc/localtime:/etc/localtime:ro --volume ${WORKSPACE}/data/logs/sdc-sanity/target:/var/lib/tests/target --volume ${WORKSPACE}/data/logs/sdc-sanity/ExtentReport:/var/lib/tests/ExtentReport --volume ${WORKSPACE}/data/logs/sdc-sanity/outputCsar:/var/lib/tests/outputCsar --volume ${WORKSPACE}/data/environments:/root/chef-solo/environments --publish 9560:9560 ${PREFIX}/sdc-sanity:${RELEASE}
+echo "please wait while SANITY is starting....."
+monitor_docker sdc-sanity
+
+fi